Build failed in Jenkins: ovirt_4.0_he-system-tests #560

Eyal Edri eedri at redhat.com
Sun Nov 27 10:35:30 UTC 2016


I see it was fixed.

Do we know the cause and what fixed it?

On Fri, Nov 25, 2016 at 2:17 PM, Sandro Bonazzola <sbonazzo at redhat.com>
wrote:

> Error: Package: 7:lvm2-2.02.166-1.el7_3.1.x86_64 (alocalsync)
>            Requires: device-mapper-persistent-data >= 0.6.3-1
>            Available: device-mapper-persistent-data-0.5.5-1.el7.x86_64 (alocalsync)
>                device-mapper-persistent-data = 0.5.5-1.el7
>
>
> Still repository error
>
>
> On Fri, Nov 25, 2016 at 12:41 PM, <jenkins at jenkins.phx.ovirt.org> wrote:
>
>> See <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/560/changes>
>>
>> Changes:
>>
>> [Eyal Edri] adding missing python-simplejson to epel repo
>>
>> ------------------------------------------
>> [...truncated 669 lines...]
>> ##      took 356 seconds
>> ##      rc = 1
>> ##########################################################
>> ##! ERROR vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
>> ##! Last 20 log entries: logs/mocker-epel-7-x86_64.el7.
>> he_basic_suite_4.0.sh/he_basic_suite_4.0.sh.log
>> ##!
>> + env_cleanup
>> + echo '#########################'
>> #########################
>> + local res=0
>> + local uuid
>> + echo '======== Cleaning up'
>> ======== Cleaning up
>> + [[ -e <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/o
>> virt-system-tests/deployment-he-basic-suite-4.0> ]]
>> + echo '----------- Cleaning with lago'
>> ----------- Cleaning with lago
>> + lago --workdir <http://jenkins.ovirt.org/job/
>> ovirt_4.0_he-system-tests/ws/ovirt-system-tests/deployment-h
>> e-basic-suite-4.0> destroy --yes --all-prefixes
>> + echo '----------- Cleaning with lago done'
>> ----------- Cleaning with lago done
>> + [[ 0 != \0 ]]
>> + echo '======== Cleanup done'
>> ======== Cleanup done
>> + exit 0
>> + exit
>> Took 205 seconds
>> ===================================
>> ##!
>> ##! ERROR ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>> ##!########################################################
>> ##########################################################
>> Build step 'Execute shell' marked build as failure
>> Performing Post build task...
>> Match found for :.* : True
>> Logical operation result is TRUE
>> Running script  : #!/bin/bash -xe
>> echo 'shell_scripts/system_tests.collect_logs.sh'
>>
>> #
>> # Required jjb vars:
>> #    version
>> #
>> VERSION=4.0
>> SUITE_TYPE=
>>
>> WORKSPACE="$PWD"
>> OVIRT_SUITE="$SUITE_TYPE_suite_$VERSION"
>> TESTS_LOGS="$WORKSPACE/ovirt-system-tests/exported-artifacts"
>>
>> rm -rf "$WORKSPACE/exported-artifacts"
>> mkdir -p "$WORKSPACE/exported-artifacts"
>>
>> if [[ -d "$TESTS_LOGS" ]]; then
>>     mv "$TESTS_LOGS/"* "$WORKSPACE/exported-artifacts/"
>> fi
>>
>> [ovirt_4.0_he-system-tests] $ /bin/bash -xe /tmp/hudson5732644382445829429
>> .sh
>> + echo shell_scripts/system_tests.collect_logs.sh
>> shell_scripts/system_tests.collect_logs.sh
>> + VERSION=4.0
>> + SUITE_TYPE=
>> + WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/>
>> + OVIRT_SUITE=4.0
>> + TESTS_LOGS=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system
>> -tests/ws/ovirt-system-tests/exported-artifacts>
>> + rm -rf <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/560/
>> artifact/exported-artifacts>
>> + mkdir -p <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/560/
>> artifact/exported-artifacts>
>> + [[ -d <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/o
>> virt-system-tests/exported-artifacts> ]]
>> + mv <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/o
>> virt-system-tests/exported-artifacts/lago_logs> <
>> http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/560/
>> artifact/exported-artifacts/>
>> POST BUILD TASK : SUCCESS
>> END OF POST BUILD TASK : 0
>> Match found for :.* : True
>> Logical operation result is TRUE
>> Running script  : #!/bin/bash -xe
>> echo "shell-scripts/mock_cleanup.sh"
>>
>> shopt -s nullglob
>>
>>
>> WORKSPACE="$PWD"
>>
>> # Make clear this is the cleanup, helps reading the jenkins logs
>> cat <<EOC
>> _______________________________________________________________________
>> #######################################################################
>> #                                                                     #
>> #                               CLEANUP                               #
>> #                                                                     #
>> #######################################################################
>> EOC
>>
>>
>> # Archive the logs, we want them anyway
>> logs=(
>>     ./*log
>>     ./*/logs
>> )
>>
>> if [[ "$logs" ]]; then
>>     for log in "${logs[@]}"
>>     do
>>         echo "Copying ${log} to exported-artifacts"
>>         mv $log exported-artifacts/
>>     done
>> fi
>>
>> # stop any processes running inside the chroot
>> failed=false
>> mock_confs=("$WORKSPACE"/*/mocker*)
>> # Clean current jobs mockroot if any
>> for mock_conf_file in "${mock_confs[@]}"; do
>>     [[ "$mock_conf_file" ]] || continue
>>     echo "Cleaning up mock $mock_conf"
>>     mock_root="${mock_conf_file##*/}"
>>     mock_root="${mock_root%.*}"
>>     my_mock="/usr/bin/mock"
>>     my_mock+=" --configdir=${mock_conf_file%/*}"
>>     my_mock+=" --root=${mock_root}"
>>     my_mock+=" --resultdir=$WORKSPACE"
>>
>>     #TODO: investigate why mock --clean fails to umount certain dirs
>> sometimes,
>>     #so we can use it instead of manually doing all this.
>>     echo "Killing all mock orphan processes, if any."
>>     $my_mock \
>>         --orphanskill \
>>     || {
>>         echo "ERROR:  Failed to kill orphans on $chroot."
>>         failed=true
>>     }
>>
>>     mock_root="$(\
>>         grep \
>>             -Po "(?<=config_opts\['root'\] = ')[^']*" \
>>             "$mock_conf_file" \
>>     )" || :
>>     [[ "$mock_root" ]] || continue
>>     mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
>>     if [[ "$mounts" ]]; then
>>         echo "Found mounted dirs inside the chroot $chroot. Trying to
>> umount."
>>     fi
>>     for mount in "${mounts[@]}"; do
>>         sudo umount --lazy "$mount" \
>>         || {
>>             echo "ERROR:  Failed to umount $mount."
>>             failed=true
>>         }
>>     done
>> done
>>
>> # Clean any leftover chroot from other jobs
>> for mock_root in /var/lib/mock/*; do
>>     this_chroot_failed=false
>>     mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
>>     if [[ "$mounts" ]]; then
>>         echo "Found mounted dirs inside the chroot $mock_root." \
>>              "Trying to umount."
>>     fi
>>     for mount in "${mounts[@]}"; do
>>         sudo umount --lazy "$mount" \
>>         || {
>>             echo "ERROR:  Failed to umount $mount."
>>             failed=true
>>             this_chroot_failed=true
>>         }
>>     done
>>     if ! $this_chroot_failed; then
>>         sudo rm -rf "$mock_root"
>>     fi
>> done
>>
>> if $failed; then
>>     echo "Aborting."
>>     exit 1
>> fi
>>
>> # remove mock system cache, we will setup proxies to do the caching and
>> this
>> # takes lots of space between runs
>> shopt -u nullglob
>> sudo rm -Rf /var/cache/mock/*
>>
>> # restore the permissions in the working dir, as sometimes it leaves files
>> # owned by root and then the 'cleanup workspace' from jenkins job fails to
>> # clean and breaks the jobs
>> sudo chown -R "$USER" "$WORKSPACE"
>>
>> # Drop all left over libvirt domains
>> for UUID in $(virsh list --all --uuid); do
>>   virsh destroy $UUID || :
>>   sleep 2
>>   virsh undefine --remove-all-storage --storage vda --snapshots-metadata
>> $UUID || :
>> done
>>
>> [ovirt_4.0_he-system-tests] $ /bin/bash -xe /tmp/hudson7475623662613716644
>> .sh
>> + echo shell-scripts/mock_cleanup.sh
>> shell-scripts/mock_cleanup.sh
>> + shopt -s nullglob
>> + WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/>
>> + cat
>> _______________________________________________________________________
>> #######################################################################
>> #                                                                     #
>> #                               CLEANUP                               #
>> #                                                                     #
>> #######################################################################
>> + logs=(./*log ./*/logs)
>> + [[ -n ./ovirt-system-tests/logs ]]
>> + for log in '"${logs[@]}"'
>> + echo 'Copying ./ovirt-system-tests/logs to exported-artifacts'
>> Copying ./ovirt-system-tests/logs to exported-artifacts
>> + mv ./ovirt-system-tests/logs exported-artifacts/
>> + failed=false
>> + mock_confs=("$WORKSPACE"/*/mocker*)
>> + for mock_conf_file in '"${mock_confs[@]}"'
>> + [[ -n <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/o
>> virt-system-tests/mocker-epel-7-x86_64.el7.cfg> ]]
>> + echo 'Cleaning up mock '
>> Cleaning up mock
>> + mock_root=mocker-epel-7-x86_64.el7.cfg
>> + mock_root=mocker-epel-7-x86_64.el7
>> + my_mock=/usr/bin/mock
>> + my_mock+=' --configdir=<http://jenkins.ovirt.org/job/ovirt_4.0_he-syste
>> m-tests/ws/ovirt-system-tests'>
>> + my_mock+=' --root=mocker-epel-7-x86_64.el7'
>> + my_mock+=' --resultdir=<http://jenkins.ovirt.org/job/ovirt_4.0_he-syste
>> m-tests/ws/'>
>> + echo 'Killing all mock orphan processes, if any.'
>> Killing all mock orphan processes, if any.
>> + /usr/bin/mock --configdir=<http://jenkins.ov
>> irt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-tests>
>> --root=mocker-epel-7-x86_64.el7 --resultdir=<http://jenkins.ov
>> irt.org/job/ovirt_4.0_he-system-tests/ws/> --orphanskill
>> WARNING: Could not find required logging config file: <
>> http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/o
>> virt-system-tests/logging.ini.> Using default...
>> INFO: mock.py version 1.2.21 starting (python version = 3.5.1)...
>> Start: init plugins
>> INFO: selinux enabled
>> Finish: init plugins
>> Start: run
>> Finish: run
>> ++ grep -Po '(?<=config_opts\['\''root'\''\] = '\'')[^'\'']*' <
>> http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/o
>> virt-system-tests/mocker-epel-7-x86_64.el7.cfg>
>> + mock_root=epel-7-x86_64-0c362156a2fa4a935ea8b988eb73b2ad
>> + [[ -n epel-7-x86_64-0c362156a2fa4a935ea8b988eb73b2ad ]]
>> + mounts=($(mount | awk '{print $3}' | grep "$mock_root"))
>> ++ mount
>> ++ awk '{print $3}'
>> ++ grep epel-7-x86_64-0c362156a2fa4a935ea8b988eb73b2ad
>> + :
>> + [[ -n '' ]]
>> + false
>> + shopt -u nullglob
>> + sudo rm -Rf /var/cache/mock/epel-7-x86_64-
>> 0c362156a2fa4a935ea8b988eb73b2ad
>> + sudo chown -R jenkins <http://jenkins.ovirt.org/job/
>> ovirt_4.0_he-system-tests/ws/>
>> ++ virsh list --all --uuid
>> POST BUILD TASK : SUCCESS
>> END OF POST BUILD TASK : 1
>> Recording test results
>> ERROR: Step ?Publish JUnit test result report? failed: No test report
>> files were found. Configuration error?
>> Archiving artifacts
>>
>
>
>
> --
> Sandro Bonazzola
> Better technology. Faster innovation. Powered by community collaboration.
> See how it works at redhat.com
>
> _______________________________________________
> Infra mailing list
> Infra at ovirt.org
> http://lists.ovirt.org/mailman/listinfo/infra
>
>


-- 
Eyal Edri
Associate Manager
RHV DevOps
EMEA ENG Virtualization R&D
Red Hat Israel

phone: +972-9-7692018
irc: eedri (on #tlv #rhev-dev #rhev-integ)
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.ovirt.org/pipermail/infra/attachments/20161127/0994f360/attachment.html>


More information about the Infra mailing list